Texa DeskDevelopers

Texa Desk Application API · Inboxes

Remove an Agent from Inbox

DELETE/api/v1/accounts/{account_id}/inbox_members

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

inbox_idstringrequired

The ID of the inbox

user_idsarray of integerrequired

IDs of users to be deleted from the inbox

Responses

200

Success

404

Inbox not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

User must exist

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring